#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 1

Name: kde4-audiocd
Summary: KDE audiocd
Epoch: 3
Version: 4.11.4
Release: %mkrel %{rel}
Group: Sound/Utilities
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdemultimedia/audiocd-kio
Source0: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/audiocd-kio-%{version}.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: libcdda-devel
Buildrequires: libkcddb-devel >= 3:%{version}
Buildrequires: libkcompactdisc-devel >= 3:%{version}
BuildRequires: libflac-devel
BuildRequires: oggvorbis-devel

Conflicts: kdemultimedia4-core < 3:4.5.71
Requires: kcm_cddb 
Suggests: kde4-audiocd-handbook

%description
KIO audiocd.

%files
%_kde_libdir/kde4/kcm_audiocd.so
%_kde_libdir/kde4/kio_audiocd.so
%_kde_libdir/kde4/libaudiocd_*
%_kde_datadir/config.kcfg/audiocd_*
%_kde_services/audiocd.desktop
%_kde_services/audiocd.protocol
%_kde_appsdir/konqsidebartng/virtual_folders/services/audiocd.desktop
%_kde_appsdir/solid/actions/solid_audiocd.desktop

#------------------------------------------------------------------------------
%package handbook
Summary: kde4-audiocd handbook
Conflicts: kde4-audiocd < 3:4.7.1
Requires:  kde4-audiocd >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation

%description handbook
This package provides kde4-audiocd handbook

%files handbook
%_kde_docdir/HTML/en/kioslave/audiocd

#------------------------------------------------------------------------------

%define  audiocdplugins_major 4
%define libaudiocdplugins %mklibname audiocdplugins %audiocdplugins_major

%package -n %libaudiocdplugins
Summary:    KDE I/O Slave for Audio CDs
Group:      System/Libraries

%description -n %libaudiocdplugins
KDE I/O Slave for Audio CDs using cdparanoia.

%files -n %libaudiocdplugins
%_kde_libdir/libaudiocdplugins.so.%{audiocdplugins_major}*

#--------------------------------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: %libaudiocdplugins = %epoch:%version
Conflicts: kdemultimedia4-devel < 3:4.8.95

%description  devel
This package contains header files needed if you wish to build applications
based on %{name}.

%files devel
%_kde_libdir/libaudiocdplugins.so
%_kde_includedir/*

#--------------------------------------------------------------------

%prep
%setup -qn audiocd-kio-%{version}

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build


%changelog
* Wed Dec 04 2013 lmenut <lmenut> 3:4.11.4-1.mga4
+ Revision: 554963
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 3:4.11.3-1.mga4
+ Revision: 551229
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 3:4.11.2-2.mga4
+ Revision: 539938
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 3:4.11.2-1.mga4
+ Revision: 490703
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 3:4.11.1-2.mga4
+ Revision: 488621
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 3:4.11.1-1.mga4
+ Revision: 476798
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 3:4.11.0-1.mga4
+ Revision: 465151
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 3:4.10.97-1.mga4
+ Revision: 458877
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 3:4.10.95-1.mga4
+ Revision: 455267
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 3:4.10.90-1.mga4
+ Revision: 447907
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 3:4.10.4-1.mga4
+ Revision: 435258
- Update tarball to KDE SC 4.10.4

* Wed May 29 2013 fwang <fwang> 3:4.10.3-2.mga4
+ Revision: 432024
- add more br to generate encoders

* Sun May 26 2013 mikala <mikala> 3:4.10.3-1.mga4
+ Revision: 428375
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 3:4.10.2-1.mga3
+ Revision: 407187
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 3:4.10.1-1.mga3
+ Revision: 401858
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 3:4.10.0-1.mga3
+ Revision: 394364
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 3:4.9.97-2.mga3
+ Revision: 355952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 3:4.9.97-1.mga3
+ Revision: 339414
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 3:4.9.95-1.mga3
+ Revision: 334518
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1
- Fix files list

* Wed Dec 05 2012 mikala <mikala> 3:4.9.90-1.mga3
+ Revision: 326723
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 3:4.9.80-1.mga3
+ Revision: 320280
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 3:4.9.3-1.mga3
+ Revision: 316165
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 3:4.9.2-1.mga3
+ Revision: 301936
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 3:4.9.1-1.mga3
+ Revision: 289725
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 3:4.9.0-1.mga3
+ Revision: 277074
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 3:4.8.97-1.mga3
+ Revision: 270027
- new version 4.8.97

* Sun Jul 01 2012 fwang <fwang> 3:4.8.95-1.mga3
+ Revision: 265885
- update file list
- update file list
- update file list
- imported package kde4-audiocd

